Message-Id: <10681.122172@fatcity.com>
From: yong huang <yong321@yahoo.com>
Date: Wed, 15 Nov 2000 12:27:03 -0800 (PST)
Subject: RE: Asynchronous I/O on Solaris

Hi, Steve,

I wonder if we can simply determine whether the OS supports AIO by
sysconf(_SC_ASYNCHRONOUS_IO). The following is run on Solaris 2.6 for SPARC:

$ cat q.c
#include <unistd.h>
#include <stdio.h>

main()
{ printf("%ld\n", sysconf(_SC_ASYNCHRONOUS_IO));
}
$ gcc q.c
$ ./a.out
1

I assume if it returns 1, it supports it.

Yong Huang
yong321@yahoo.com

you wrote:

> Hi All,
>
> It seems that the issue of asynchronous I/O on Solaris is
> still alive and kicking. Here is an attempt to pull the 
> threads together.
>
> Oracle 7 had an 'async_write' parameter that used to default
> to TRUE. If set to FALSE, Oracle would use the standard 
> 'write()' system call to
[snipped]

__________________________________________________
Do You Yahoo!?
Yahoo! Calendar - Get organized for the holidays!